import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';

import {
  IgxGridModule,
  IgxButtonModule,
  IgxIconModule,
  IgxDropDownModule,
  IgxInputGroupModule,
  IgxToggleModule,
  IgxRippleModule
} from 'igniteui-angular';

import { AppComponent } from './app.component';


@NgModule({
  declarations: [
    AppComponent,
  ],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    FormsModule,
    IgxGridModule.forRoot(),
    IgxButtonModule,
    IgxIconModule,
    IgxDropDownModule,
    IgxInputGroupModule,
    IgxToggleModule,
    IgxRippleModule,
 //  IgniteUIModule,
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
